summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Giorgio Peron <giorgio.peron@gmail.com>2016-09-04 08:28:13 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-09-04 08:28:34 +0700
commit28b6f63fa04f49f60ad5060cdb532c8420d2b2c3 (patch)
tree42a391703fb0b7c4794d3592138fca7bc13b2449 /graphics
parentc064c6e757a66ca1dd85aba44e35f754f4db3745 (diff)
downloadslackbuilds-28b6f63fa04f49f60ad5060cdb532c8420d2b2c3.tar.gz
slackbuilds-28b6f63fa04f49f60ad5060cdb532c8420d2b2c3.tar.xz
graphics/gmic: Added (image processing framework).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/gmic/README9
-rw-r--r--graphics/gmic/gmic.SlackBuild92
-rw-r--r--graphics/gmic/gmic.info12
-rw-r--r--graphics/gmic/slack-desc19
4 files changed, 132 insertions, 0 deletions
diff --git a/graphics/gmic/README b/graphics/gmic/README
new file mode 100644
index 0000000000..3a88bf0b14
--- /dev/null
+++ b/graphics/gmic/README
@@ -0,0 +1,9 @@
+G'MIC is a full-featured open-source framework for image processing.
+It provides several different user interfaces to convert/manipulate/filter/visualize
+generic image datasets, ranging from 1d scalar signals to 3d+t sequences of multi-spectral
+volumetric images, thus including 2d color images.
+
+This package contains the gimp plug-in.
+
+Note: When building OpenCV, make sure qt5 is not installed, otherwise it will
+link against it and caused it fail to build.
diff --git a/graphics/gmic/gmic.SlackBuild b/graphics/gmic/gmic.SlackBuild
new file mode 100644
index 0000000000..24555744b9
--- /dev/null
+++ b/graphics/gmic/gmic.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Copyright 2016 Giorgio Peron <giorgio.peron@gmail.com>, Belluno, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gmic
+VERSION=${VERSION:-1.7.5}
+SRCVER=8419067dfc17963aad27303ecacc5a3b1f5c0644
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM
+rm -rf $PRGNAM-community
+tar xvf $CWD/$PRGNAM\_$VERSION.tar.gz
+mv $PRGNAM-$VERSION $PRGNAM
+unzip $CWD/$PRGNAM-community-$SRCVER.zip || unzip $CWD/$SRCVER
+mv $PRGNAM-community-8419067dfc17963aad27303ecacc5a3b1f5c0644 $PRGNAM-community
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cd src
+sed -i "s/LIB = lib/LIB = lib$LIBDIRSUFFIX/" Makefile
+sed -i "s:/share/man/:/man/:g" Makefile
+make
+make install DESTDIR=$PKG
+cd -
+rmdir $PKG/usr/share || true
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING* README* $PKG/usr/doc/$PRGNAM-$VERSION
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/gmic/gmic.info b/graphics/gmic/gmic.info
new file mode 100644
index 0000000000..86a11a2f78
--- /dev/null
+++ b/graphics/gmic/gmic.info
@@ -0,0 +1,12 @@
+PRGNAM="gmic"
+VERSION="1.7.5"
+HOMEPAGE="http://gmic.eu"
+DOWNLOAD="http://gmic.eu/files/source/gmic_1.7.5.tar.gz \
+ https://codeload.github.com/dtschump/gmic-community/zip/8419067dfc17963aad27303ecacc5a3b1f5c0644"
+MD5SUM="f49e428a211b28d755cd5e9945eaf61f \
+ c08c8c77e2132d9f2f3c8b1502d80b4c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="opencv"
+MAINTAINER="Giorgio Peron"
+EMAIL="giorgio.peron@gmail.com"
diff --git a/graphics/gmic/slack-desc b/graphics/gmic/slack-desc
new file mode 100644
index 0000000000..bcf7b237fc
--- /dev/null
+++ b/graphics/gmic/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gmic: gmic (image processing framework)
+gmic:
+gmic: G'MIC is a full-featured open-source framework for image processing.
+gmic: It provides several different user interfaces to convert/manipulate/
+gmic: filter/visualize generic image datasets, ranging from 1d scalar
+gmic: signals to 3d+t sequences of multi-spectral volumetric images, thus
+gmic: including 2d color images.
+gmic:
+gmic: Homepage http://gmic.eu
+gmic:
+gmic: